MagickCore: cache-private.h File Reference

# cache-private.h File Reference

`#include <time.h>`
`#include "magick/semaphore.h"`

Go to the source code of this file.

## Data Structures
struct | _CacheMethods
struct | _CacheInfo
## Typedefs
typedef void * | Cache
typedef const IndexPacket *(* | AcquireIndexesFromHandler )(const Image *)
typedef IndexPacket *(* | GetIndexesFromHandler )(const Image *)
typedef MagickBooleanType(* | SyncPixelHandler )(Image *)
typedef const PixelPacket *(* | AcquirePixelHandler )(const Image *, const VirtualPixelMethod, const long, const long, const unsigned long, const unsigned long, ExceptionInfo *)
typedef PixelPacket(* | AcquireOnePixelFromHandler )(const Image *, const VirtualPixelMethod, const long, const long, ExceptionInfo *)
typedef PixelPacket(* | GetOnePixelFromHandler )(Image *, const long, const long)
typedef PixelPacket *(* | GetPixelHandler )(Image *, const long, const long, const unsigned long, const unsigned long)
typedef PixelPacket *(* | GetPixelsFromHandler )(const Image *)
typedef PixelPacket *(* | SetPixelHandler )(Image *, const long, const long, const unsigned long, const unsigned long)
typedef void(* | DestroyPixelHandler )(Image *)
typedef struct _CacheMethods | CacheMethods
typedef struct _NexusInfo | NexusInfo
typedef struct _CacheInfo | CacheInfo
## Enumerations
enum | CacheType { UndefinedCache, MemoryCache, MapCache, DiskCache }
## Functions
MagickExport Cache | DestroyCacheInfo (Cache)
MagickExport Cache | ReferenceCache (Cache)
MagickExport ClassType | GetCacheClass (const Cache)
MagickExport ColorspaceType | GetCacheColorspace (const Cache)
MagickExport const IndexPacket * | AcquireNexusIndexes (const Cache, const unsigned long)
MagickExport IndexPacket * | GetNexusIndexes (const Cache, const unsigned long)
MagickExport MagickBooleanType | GetCacheInfo (Cache *)
MagickExport PixelPacket * | GetNexusPixels (const Cache, const unsigned long)
MagickExport unsigned long | GetNexus (Cache)
MagickExport void | CloneCacheMethods (Cache, const Cache)
MagickExport void | DestroyCacheNexus (Cache, const unsigned long)
MagickExport void | GetCacheMethods (CacheMethods *)
MagickExport void | SetCacheMethods (Cache, CacheMethods *)

## Typedef Documentation

typedef const IndexPacket*(* AcquireIndexesFromHandler)(const Image *)

typedef PixelPacket(* AcquireOnePixelFromHandler)(const Image *, const VirtualPixelMethod, const long, const long, ExceptionInfo *)

typedef const PixelPacket*(* AcquirePixelHandler)(const Image *, const VirtualPixelMethod, const long, const long, const unsigned long, const unsigned long, ExceptionInfo *)

typedef void* Cache

typedef struct _CacheInfo CacheInfo

typedef struct _CacheMethods CacheMethods

typedef void(* DestroyPixelHandler)(Image *)

typedef IndexPacket*(* GetIndexesFromHandler)(const Image *)

typedef PixelPacket(* GetOnePixelFromHandler)(Image *, const long, const long)

typedef PixelPacket*(* GetPixelHandler)(Image *, const long, const long, const unsigned long, const unsigned long)

typedef PixelPacket*(* GetPixelsFromHandler)(const Image *)

typedef struct _NexusInfo NexusInfo

typedef PixelPacket*(* SetPixelHandler)(Image *, const long, const long, const unsigned long, const unsigned long)

typedef MagickBooleanType(* SyncPixelHandler)(Image *)

## Enumeration Type Documentation

enum CacheType

Enumerator:

  UndefinedCache |
  MemoryCache |
  MapCache |
  DiskCache |

## Function Documentation

MagickExport const IndexPacket* AcquireNexusIndexes | ( | const | Cache,
|  | const unsigned | long |
| ) |  |  |

MagickExport void CloneCacheMethods | ( | Cache | ,
|  | const | Cache |
| ) |  |  |

MagickExport Cache DestroyCacheInfo | ( | Cache |  | ) |

MagickExport void DestroyCacheNexus | ( | Cache | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport ClassType GetCacheClass | ( | const | Cache | ) |

MagickExport ColorspaceType GetCacheColorspace | ( | const | Cache | ) |

MagickExport MagickBooleanType GetCacheInfo | ( | Cache * |  | ) |

MagickExport void GetCacheMethods | ( | CacheMethods * |  | ) |

MagickExport unsigned long GetNexus | ( | Cache |  | ) |

MagickExport IndexPacket* GetNexusIndexes | ( | const | Cache,
|  | const unsigned | long |
| ) |  |  |

MagickExport PixelPacket* GetNexusPixels | ( | const | Cache,
|  | const unsigned | long |
| ) |  |  |

MagickExport Cache ReferenceCache | ( | Cache |  | ) |

MagickExport void SetCacheMethods | ( | Cache | ,
|  | CacheMethods * |  |
| ) |  |  |